Patchwork xinetd: add status of init.d command

login
register
mail settings
Submitter jackie huang
Date Nov. 26, 2013, 10:18 a.m.
Message ID <1385461106-9117-1-git-send-email-jackie.huang@windriver.com>
Download mbox | patch
Permalink /patch/62383/
State New
Headers show

Comments

jackie huang - Nov. 26, 2013, 10:18 a.m.
From: Li Wang <li.wang@windriver.com>

Signed-off-by: Li Wang <li.wang@windriver.com>
---
 meta/recipes-extended/xinetd/xinetd/xinetd.init | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

Patch

diff --git a/meta/recipes-extended/xinetd/xinetd/xinetd.init b/meta/recipes-extended/xinetd/xinetd/xinetd.init
index 26dbea7..777c2c8 100644
--- a/meta/recipes-extended/xinetd/xinetd/xinetd.init
+++ b/meta/recipes-extended/xinetd/xinetd/xinetd.init
@@ -2,6 +2,9 @@ 
 #
 # /etc/init.d/xinetd  --  script to start and stop xinetd.
 
+# Source function library.
+. /etc/init.d/functions
+
 if test -f /etc/default/xinetd; then
 	. /etc/default/xinetd
 fi
@@ -33,6 +36,10 @@  case "$1" in
 	start-stop-daemon --stop --signal 3 --quiet --exec /usr/sbin/xinetd
 	echo "."
 	;;
+    status)
+	status /usr/sbin/xinetd;
+	exit $?
+	;;
     reload)
 	echo -n "Reloading internet superserver configuration: xinetd"
 	start-stop-daemon --stop --signal 1 --quiet --exec /usr/sbin/xinetd
@@ -49,7 +56,7 @@  case "$1" in
 	$0 start
 	;;
     *)
-	echo "Usage: /etc/init.d/xinetd {start|stop|reload|force-reload|restart}"
+	echo "Usage: /etc/init.d/xinetd {start|stop|status|reload|force-reload|restart}"
 	exit 1
 	;;
 esac